Last modified: 2013-04-08 11:02:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27982 - deformed layout of ogg player options in new gallery
deformed layout of ogg player options in new gallery
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.17.x
All All
: Normal major (vote)
: ---
Assigned To: Derk-Jan Hartman
%3Cgallery%3E%0A%20%20Datei:Space%20S...
:
Depends on:
Blocks: 27339
  Show dependency treegraph
 
Reported: 2011-03-10 21:59 UTC by Bergi
Modified: 2013-04-08 11:02 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bergi 2011-03-10 21:59:50 UTC
I'm not sure whether this belongs to images, page rendering or even javascript.

Having a ogg video embedded in one of the new galleries with variable width, you can't set options any more.
Clicking on the play symbol returns a link "optionen..." with a javascript:void("options")-href (which is also bad, this should be done with event listeners).
Clicking on this link pops up the options div (<div style="width: 110px; display: none;" class="ogg-player-options" id="ogg_player_1_options_box" align="center">) which will be displayed wrong as the surrounding <div class="thumb"... element has fixed width and height.

Solutions would be
a) rewriting the js with detecting this case or
b) a css patch like
div.thumb { position: relative; }
div.thumb div.ogg-player-options { position:absolute; top:150px; }
Comment 1 Derk-Jan Hartman 2011-03-14 21:29:28 UTC
This primarily requires deploy of r82181, r82215 and r82309

Though then it's still ugly, but i'll follow that up later.
Comment 2 Mark A. Hershberger 2011-04-18 21:49:26 UTC
Marking fixed as the fix is in trunk.  Code will be deployed shortly.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links